Page MenuHomePhabricator

[llvm-rc] Refactoring needed for ACCELERATORS and MENU resources serialization (serialization, pt 1.5).
ClosedPublic

Authored by mnbvmar on Sep 13 2017, 6:12 PM.

Details

Summary

This:

These modifications don't fit to any of the current patches, so I'm submitting them as a separate patch.

Diff Detail

Repository
rL LLVM

Event Timeline

mnbvmar created this revision.Sep 13 2017, 6:12 PM
mnbvmar retitled this revision from D37824: [llvm-rc] Refactoring needed for ACCELERATORS and MENU resources serialization (serialization, pt 1.5). to [llvm-rc] Refactoring needed for ACCELERATORS and MENU resources serialization (serialization, pt 1.5)..
ecbeckmann edited edge metadata.Sep 14 2017, 11:35 AM

This looks good to me.

rnk accepted this revision.Sep 27 2017, 10:58 AM

Looks good, suggestion is optional

llvm/tools/llvm-rc/ResourceScriptStmt.h
217–218 ↗(On Diff #115149)

nit: It might be nice to fold these together into std::pair<StringRef, uint32_t> or a custom OptionFlag struct.

This revision is now accepted and ready to land.Sep 27 2017, 10:58 AM
This revision was automatically updated to reflect the committed changes.